UpdateSurety
PUT
/surety/{orgID}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://api.huddlesurety.co/surety/example"), Content = new StringContent("{ \"address\": \"example\", \"name\": \"example\", \"phone\": \"example\", \"residentName\": \"example\", \"stateOfAuthority\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.huddlesurety.co/surety/example"
payload := strings.NewReader("{ \"address\": \"example\", \"name\": \"example\", \"phone\": \"example\", \"residentName\": \"example\", \"stateOfAuthority\": \"example\" }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"address\": \"example\", \"name\": \"example\", \"phone\": \"example\", \"residentName\": \"example\", \"stateOfAuthority\": \"example\" }");Request request = new Request.Builder() .url("https://api.huddlesurety.co/surety/example") .put(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'PUT', url: 'https://api.huddlesurety.co/surety/example', headers: {'Content-Type': 'application/json'}, data: { address: 'example', name: 'example', phone: 'example', residentName: 'example', stateOfAuthority: 'example' }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.huddlesurety.co/surety/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"address":"example","name":"example","phone":"example","residentName":"example","stateOfAuthority":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"address\": \"example\", \"name\": \"example\", \"phone\": \"example\", \"residentName\": \"example\", \"stateOfAuthority\": \"example\" }")val request = Request.Builder() .url("https://api.huddlesurety.co/surety/example") .put(body) .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()use std::str::FromStr;use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.huddlesurety.co/surety/example";
let payload = json!({ "address": "example", "name": "example", "phone": "example", "residentName": "example", "stateOfAuthority": "example" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.request(reqwest::Method::from_str("PUT").unwrap(), url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request PUT \ --url https://api.huddlesurety.co/surety/example \ --header 'Content-Type: application/json' \ --data '{ "address": "example", "name": "example", "phone": "example", "residentName": "example", "stateOfAuthority": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”orgID
required
string
Organization ID
Request Bodyrequired
Section titled “Request Bodyrequired”Body
Media typeapplication/json
Body
object
address
required
string
name
required
string
phone
required
string
residentName
required
string
stateOfAuthority
required
string
Examplegenerated
{ "address": "example", "name": "example", "phone": "example", "residentName": "example", "stateOfAuthority": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
address
required
string
name
required
string
orgID
required
string
phone
required
string
residentName
required
string
stateOfAuthority
required
string
Examplegenerated
{ "address": "example", "name": "example", "orgID": "example", "phone": "example", "residentName": "example", "stateOfAuthority": "example"}